#
# spec file for package libmikmod (Version 3.1.11)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libmikmod
BuildRequires:  esound-devel
Url:            http://mikmod.raphnet.net/
License:        LGPL v2.1 or later
Group:          System/Libraries
Obsoletes:      libmikmo
Provides:       libmikmo
PreReq:         %install_info_prereq
AutoReqProv:    on
Summary:        MikMod Sound Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.1.11
Release:        14.10.1
Source0:        libmikmod-%{version}.tar.bz2
Patch0:         libmikmod.diff
Patch1:         mikmod-64bit-fix.diff
Patch2:         libmikmod-m4-fix.dif
Patch3:         libmikmod-config-fix.dif
Patch4:         libmikmod-conftest_fix.diff
Patch5:         libmikmod-CVE-2007-6720.diff
Patch6:         libmikmod-CVE-2009-0179.diff
Patch7:         libmikmod-CVE-2009-3995,3996.diff

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files. It was originally written by Jean-Paul Mikkers
(MikMak) for DOS. It supports OSS /dev/dsp, ALSA, and Esound and can
also write wav files. Supported file formats include mod, stm, s3m,
mtm, xm, and it.



%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
libtoolize -f
autoreconf -f -i
export CFLAGS="%optflags"
%configure
make

%install
make DESTDIR=%buildroot install

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mikmod.info.gz

%clean 
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING.LIB NEWS TODO COPYING.LESSER
%{_bindir}/*
%{_includedir}/*
%doc %{_mandir}/man1/*
%doc %{_infodir}/mikmod*
/%{_libdir}/libmikmod.*
%{_datadir}/aclocal/libmikmod.m4

%changelog
* Wed Apr 21 2010 prusnak@suse.cz
- fixed CVE-2009-3995 and CVE-2009-3996 [bnc#577875]
* Fri Jan 23 2009 prusnak@suse.cz
- fixed CVE-2007-6720 and CVE-2009-0179 [bnc#468760]
* Thu Jan 26 2006 sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov  4 2005 ltinkl@suse.cz
- update to 3.1.11
* Thu Sep  8 2005 pth@suse.de
- Fix libmikmod-config for real (#96912)
* Tue Sep  6 2005 jpr@suse.de
- Make sure libmikmod-config reports libdir correctly on all
  architectures (96912)
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Mar  4 2004 tiwai@suse.de
- fixed m4 file for the recent autoconf.
* Sat Feb  7 2004 adrian@suse.de
- fix some autoconf issues
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 14 2003 adrian@suse.de
- fix info file name
* Thu Feb 13 2003 adrian@suse.de
- add %%install_info section
* Tue Aug 20 2002 tiwai@suse.de
- fixed the detection of 64bit architectures [bug #18106]
* Tue Aug  6 2002 adrian@suse.de
- add %%run_ldconfig
* Tue Jun  4 2002 ro@suse.de
- fix file list
* Fri May 31 2002 adrian@suse.de
- update to version 3.1.10
- renamed libmikmo -> libmikmod
- fix for lib64 and ppc64
- add esd support
- add alsa support
- use buildroot
* Sat Nov  4 2000 kukuk@suse.de
- use new long package names
* Wed Jun 21 2000 schwab@suse.de
- Add %%suse_update_config.
* Sun Jun 18 2000 adrian@suse.de
- fixed man path
* Fri Jun 16 2000 adrian@suse.de
- update to 3.1.9
* Fri Jun  2 2000 uli@suse.de
- moved docs to %%{_docdir}
* Thu Mar  2 2000 uli@suse.de
- moved info files to %%{_infodir}
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep  7 1999 kettner@suse.de
- New version 3.1.7
* Fri May  7 1999 kettner@suse.de
- Install additional include files for kmikmod
* Thu May  6 1999 kettner@suse.de
- Spec file created from libmikmod-3.1.6.tar.gz by autospec
